Loading...
Searching...
No Matches
built_in_decoder_info Struct Reference

`#include <ocsd_lib_dcd_register.h>`

Collaboration diagram for built_in_decoder_info:
[legend]

## Public Attributes

IDecoderMngr * | pMngr
| pointer to created decoder manager
CreateMngr | PFn
| function to create the decoder manager.
const char * | name
| registered name of the decoder.

## Detailed Description

Structure to contain the information needed to create and register a builtin decoder manager with the library

Definition at line 120 of file ocsd_lib_dcd_register.h.

## Member Data Documentation

## name

const char* built_in_decoder_info::name

registered name of the decoder.

Definition at line 123 of file ocsd_lib_dcd_register.h.

## PFn

CreateMngr built_in_decoder_info::PFn

function to create the decoder manager.

Definition at line 122 of file ocsd_lib_dcd_register.h.

## pMngr

IDecoderMngr* built_in_decoder_info::pMngr

pointer to created decoder manager

Definition at line 121 of file ocsd_lib_dcd_register.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/common/ocsd_lib_dcd_register.h